[Version]
Signature = "$CHICAGO$"
DEVTYPE_INI_FILE = 1

[FLAGS]
CTY_PARMS = 0

[Manufacturer]
Conexant = Conexant

[Conexant]
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3816 ; Yoga-3
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3800 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3801 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3802 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3803 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3804 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3805 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3806 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3807 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3808 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3809 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA380A ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA380B ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA380C ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA380F ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3810 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3811 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3812 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3813 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3814 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3815 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA381C ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA381E ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA381F ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3820 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5110 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5111 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5020 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5021 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5047 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5028 ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA502A ; Others
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA000D ; Others

[HdAudModel1]
AddReg = AFA1.AddReg
InstallApp = AFAInstallApp

[HdAudModel2]
AddReg = AFA2.AddReg
InstallApp = AFAInstallApp

[AFA1.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00880008
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableHotkey,0x10001,0x00000001
HKLM,SOFTWARE\Conexant\AFA\Hotkey,HotkeyScancode,1,00,00,E0,4E
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableGPIO0,0x10001,0x00000000 ; Lenovo
HKLM,SOFTWARE\Conexant\AFA\Hotkey,SendMsgOSD,0x10001,0x00000001 ; Lenovo

[AFA2.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00020008
;;HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableHotkey,0x10001,0x00000001
HKLM,SOFTWARE\Conexant\AFA\Hotkey,HotkeyScancode,1,00,00,E0,4E
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableGPIO0,0x10001,0x00000000 ; Lenovo
HKLM,SOFTWARE\Conexant\AFA\Hotkey,SendMsgOSD,0x10001,0x00000001 ; Lenovo

[AFAInstallApp]
InstallApp = "..\AFA\Setup.exe",,1,"Conexant Audio Filter Agent"